org.apache.solr.client.solrj.impl

## Class LBHttpSolrClient.Req

- java.lang.Object
- - org.apache.solr.client.solrj.impl.LBHttpSolrClient.Req

- Enclosing class:
    LBHttpSolrClient

      public static class LBHttpSolrClient.Req
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `numDeadServersToTry`
    `protected SolrRequest` | `request`
    `protected List<String>` | `servers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Req(SolrRequest request, List<String> servers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumDeadServersToTry()`
    `SolrRequest` | `getRequest()`
    `List<String>` | `getServers()`
    `void` | `setNumDeadServersToTry(int numDeadServersToTry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### request

          protected SolrRequest request

    - #### servers

          protected List<String> servers

    - #### numDeadServersToTry

          protected int numDeadServersToTry

  - ### Constructor Detail

    - #### Req

          public Req(SolrRequest request,
                     List<String> servers)

  - ### Method Detail

    - #### getRequest

          public SolrRequest getRequest()

    - #### getServers

          public List<String> getServers()

    - #### getNumDeadServersToTry

          public int getNumDeadServersToTry()

      Returns:
        the number of dead servers to try if there are no live servers left

    - #### setNumDeadServersToTry

          public void setNumDeadServersToTry(int numDeadServersToTry)

      Parameters:
        `numDeadServersToTry` - The number of dead servers to try if there are no live servers left. Defaults to the number of servers in this request.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.